Bug 1293 - Database installation problem
Summary: Database installation problem
Status: CLOSED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: 2.2.5
Hardware: PC All
: P2 normal (vote)
Assignee: Chris Cormack
QA Contact:
URL: http://www.openlx.com
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-09 10:26 UTC by Chris Cormack
Modified: 2012-10-26 00:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-20 23:41:04 UTC


---- Reported by amitddng135@gmail.com 2007-03-09 22:26:45 ----

Hi Chris,

I am using Linux fc5 mysql version 5.0.22-1.MSL.1

I am having problems installing the koha-2.2.5.
I ran the following commands as root after installing all the required perl modules

#cd /usr/local/koha-2.2.5
#perl installer.pl



 WELCOME TO THE KOHA INSTALLER

This program will ask some questions and try to install koha for you. You
need to know: where most koha files should be stored (you can set the
prefix environment variable for this); the username and password of a mysql
superuser; and details of your library setup. You may also need to know
details of your Apache setup.

If you want to install the Koha configuration files somewhere other than
/etc (for installing not as root, or to have many Kohas on one system, for
example), you should set the etcdir environment variable. Please look at
your manuals for details of how to set that.

Recommended answers are given in brackets after each question. To accept
the default value for any question (indicated by []), simply hit Enter at
the prompt.

Note that you also can define an auto_install_file, that will answer every
question automatically. To use this feature, run ./installer.pl -i
/path/to/auto_install_file

Are you ready to begin the installation? ([Y]/N): y
Great!  Continuing...





 PERL MODULES

Checking perl modules ...


The Net::Z3950 module is missing. This module is necessary if you want to
use Koha's Z39.50 client to download bibliographic records from other
libraries.

To install this module, you will need the yaz client installed from
http://www.indexdata.dk/yaz/ and then you can install the perl module with
the command:

perl -MCPAN -e 'install Net::Z3950'

...or by installing packages for your distribution, if available.

IMPORTANT NOTE : If you use Perl 5.8.0, you might need to edit NET::Z3950's
Makefile.PL and yazwrap/Makefile.PL to include:

'DEFINE' => '-D_GNU_SOURCE',

Also note that some installations of Perl on Red Hat will generate a lot of
"'my_perl' undeclared" errors when running make in Net-Z3950. This is fixed
by inserting in yazwrap/ywpriv.h a line saying #include "XSUB.h"

Press the <ENTER> key to continue:


 PERL MODULES AVAILABLE

All required perl modules are installed.

Press <ENTER> to continue:





 OPAC DIRECTORY

Please supply the directory you want Koha to store its OPAC files in. This
directory will be auto-created for you if it doesn't exist.

OPAC Directory [/usr/local/koha/opac]:




 LIBRARIAN DIRECTORY

Please supply the directory you want Koha to store its Librarian interface
files in. This directory will be auto-created for you if it doesn't exist.

Intranet Directory [/usr/local/koha/intranet]:




 LOG DIRECTORY

Specify a directory where log files will be written.

Koha Log Directory [/usr/local/koha/log]:




 DATABASE NAME

Please provide the name that you wish to give your koha database. It must
not exist already on the database server.

Most users give a short single-word name for their library here.

Database name [Koha]:




 DATABASE HOST

Please provide the mysql server name. Unless the database is stored on
another machine, this should be "localhost".

Database host [localhost]:




 DATABASE USER

We are going to create a new mysql user for Koha. This user will have full
administrative rights to the database called Koha when they connect from
localhost. This is also the name of the Koha librarian superuser.

Most users give a single-word name here.

Database user [kohaadmin]:




 DATABASE PASSWORD

Please provide a good password for the user kohaadmin.

IMPORTANT: You can log in using this user and password at any time.

Password for database user kohaadmin: kohaadmin




 APACHE CONFIGURATION

Koha needs to write an Apache configuration file for the OPAC and Librarian
sites. By default this installer will do this by using one name and two
different ports for the virtual hosts. There are other ways to set this up,
and the installer will leave comments in /etc/koha-httpd.conf about them.

NOTE: You will need to add lines to your main httpd.conf to include
/etc/koha-httpd.conf (using the Include directive) and to make sure it is
listening on the right ports and host names (using the Listen directive).

Press <ENTER> to continue:




 WEB E-MAIL CONTACT

Enter the e-mail address to be used as a contact for Koha. This address is
displayed if fatal errors are encountered.

E-mail contact [webmaster@localdomain]: amitddng135@yahoo.co.in




 WEB HOST NAME OR IP ADDRESS

Please enter the host name or IP address that you wish to use for koha.
Normally, this should be a name or IP that belongs to this machine.

Host name or IP Address [localhost.localdomain]: 192.168.1.72




 OPAC PORT

Please enter the port for your OPAC interface. This defaults to port 80,
but if you are already serving web content with this hostname, you should
change it to a different port (8000 might be a good choice, but check any
firewalls).

Enter the OPAC Port [80]:




 LIBRARIAN PORT

Please enter the port for your Librarian interface. This must be different
from the OPAC port (80).

Enter the Intranet Port [8080]:




 UPDATING APACHE CONFIGURATION

Checking for modules that need to be loaded...




 INSTALLING FILES

Copying files to installation directories:Copying admin templates to /usr/local/koha/intranet/htdocs.
Copying admin interface to /usr/local/koha/intranet/cgi-bin.
Copying main scripts to /usr/local/koha/intranet/scripts.
Copying perl modules to /usr/local/koha/intranet/modules.
Copying OPAC templates to /usr/local/koha/opac/htdocs.
Copying OPAC interface to /usr/local/koha/opac/cgi-bin.






 MYSQL ROOT USER PASSWORD

To create the koha database, please enter your mysql server's root user
password:

Password:

CREATING DATABASE

Creating the MySQL database for Koha...
ERROR 1062 (23000) at line 1: Duplicate entry 'localhost-kohaadmin' for key 1
256ERROR 1062 (23000) at line 1: Duplicate entry '%-Koha-kohaadmin' for key 1

ERROR 1064 (42000) at line 772: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'return char(4) default NULL,
  renewals tinyint(4) default NULL,
  timestamp tim' at line 9

DBD::mysql::db do failed: Table 'Koha.categoryitem' doesn't exist at scripts/updater/updatedatabase line 1092.
DBD::mysql::db do failed: Table 'Koha.issuingrules' doesn't exist at scripts/updater/updatedatabase line 1093.
DBD::mysql::db do failed: Table 'Koha.issuingrules' doesn't exist at scripts/updater/updatedatabase line 1094.
DBD::mysql::db do failed: Table 'Koha.issuingrules' doesn't exist at scripts/updater/updatedatabase line 1095.
DBD::mysql::st execute failed: Table 'Koha.statistics' doesn't exist at scripts/updater/updatedatabase line 1106.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1108.
DBD::mysql::st execute failed: Table 'Koha.statistics' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x88fb6d4)->errstr
DBD::mysql::st execute failed: Table 'Koha.itemtypes' doesn't exist at scripts/updater/updatedatabase line 1106.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1108.
DBD::mysql::st execute failed: Table 'Koha.itemtypes' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x8909be4)->errstr
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1106.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1108.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x8909974)->errstr
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x8909b6c)->errstr
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x88ba928)->errstr
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1106.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1108.
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x8909bb4)->errstr
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1122.
**Error : DBI::st=HASH(0x8901100)->errstr
DBD::mysql::st execute failed: Table 'Koha.printers' doesn't exist at scripts/updater/updatedatabase line 1134.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1136.
DBD::mysql::st execute failed: Table 'Koha.printers' doesn't exist at scripts/updater/updatedatabase line 1185.
DBD::mysql::st execute failed: Invalid default value for 'aqbudgetid' at scripts/updater/updatedatabase line 1185.
DBD::mysql::st execute failed: Invalid default value for 'id' at scripts/updater/updatedatabase line 1185.
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1227.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1228.
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1242.
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1249.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1250.
DBD::mysql::db do failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1257.
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1374.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1375.
DBD::mysql::st execute failed: Table 'Koha.issuingrules' doesn't exist at scripts/updater/updatedatabase line 1410.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1412.
DBD::mysql::db do failed: Table 'Koha.issuingrules' doesn't exist at scripts/updater/updatedatabase line 1419.
synch'ing borrowers
creating column textmessaging
creating column password
creating column flags
creating column userid
creating column homezipcode
creating column zipcode
creating column sort1
creating column sort2
synch'ing items
DBD::mysql::st execute failed: Table 'Koha.items' doesn't exist at scripts/updater/updatedatabase line 1460.
DBD::mysql::st fetchrow failed: fetch() without execute() at scripts/updater/updatedatabase line 1462.
synch'ing biblio
synch'ing biblioitems
creating column place
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1510.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.
DBD::mysql::st execute failed: Table 'Koha.systempreferences' doesn't exist at scripts/updater/updatedatabase line 1515.




with regards,

AMIT GUPTA
PROJECT TRANIEE
MCA(6th SEM)
INDSERVE INFOTECH PVT. LTD.
MALVIYA NAGAR
NEW DELHI-110017
INDIA



---- Additional Comments From dalgity@htl.net 2007-03-22 12:40:52 ----

This bug is due to "return" being a MySQL keyword (http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1280).  I encountered this same issue while installing Koha 2.2.8 but it can be resolved by changing return to `return` in the koha.mysql file.

*** This bug has been marked as a duplicate of http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1280 ***



--- Bug imported by chris@bigballofwax.co.nz 2010-05-20 23:41 UTC  ---

This bug was previously known as _bug_ 1293 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1293

Unknown operating system Linux - Other. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was amitddng135@gmail.com.
This bug was marked DUPLICATE in the database it was moved from.
    Changing resolution to "MOVED"